classification
Title: Upgrade OpenSSL shipped with python installers
Type: Stage: resolved
Components: Build Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: alex, christian.heimes, dstufft, giampaolo.rodola, janssen, ned.deily, paul.moore, pitrou, python-dev, steve.dower, tim.golden, zach.ware
Priority: critical Keywords: security_issue

Created on 2016-03-01 14:26 by alex, last changed 2017-09-08 02:35 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3447 closed vstinner, 2017-09-08 02:35
Messages (8)
msg261052 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2016-03-01 14:26
https://openssl.org/news/secadv/20160301.txt
msg261111 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2016-03-02 12:33
New security releases of Python are scheduled for the near future, most likelye mid to end of March.
msg261327 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-08 06:11
New changeset bca936a0e829 by Ned Deily in branch '2.7':
Issue #26465: Update OS X installer build to use OpenSSL 1.0.2g.
https://hg.python.org/cpython/rev/bca936a0e829

New changeset 0628189fe42b by Ned Deily in branch '3.5':
Issue #26465: Update OS X installer build to use OpenSSL 1.0.2g.
https://hg.python.org/cpython/rev/0628189fe42b

New changeset 60430bdcb426 by Ned Deily in branch 'default':
Issue #26465: merge from 3.5
https://hg.python.org/cpython/rev/60430bdcb426
msg261368 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-08 18:29
New changeset 195ce1f4f54b by Steve Dower in branch '2.7':
Issue #26465: Update Windows builds to use OpenSSL 1.0.2g.
https://hg.python.org/cpython/rev/195ce1f4f54b
msg261369 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-08 18:30
New changeset 6d7f0421b71f by Steve Dower in branch '3.5':
Issue #26465: Update Windows builds to use OpenSSL 1.0.2g.
https://hg.python.org/cpython/rev/6d7f0421b71f

New changeset e045f26ea74a by Steve Dower in branch 'default':
Issue #26465: Update Windows builds to use OpenSSL 1.0.2g.
https://hg.python.org/cpython/rev/e045f26ea74a
msg261376 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-03-08 20:24
Steve: This broke 64-bit Windows, I haven't tried digging into what's going on yet.

See: http://buildbot.python.org/all/builders/AMD64%20Windows7%20SP1%203.x/builds/7331/steps/compile/logs/stdio
msg261379 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-03-08 20:46
I didn't have nasm on the path when preparing, so it made empty asm files.

I've committed the correctly build ASM files, and I'll trigger the buildbots to clean and patch the prepare script to fail if nasm is not available.
msg263417 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-04-14 15:27
New changeset 3a3b30c310e5 by Zachary Ware in branch '2.7':
Issue #26465: Update VS9.0 build files for OpenSSL 1.0.2g
https://hg.python.org/cpython/rev/3a3b30c310e5
History
Date User Action Args
2017-09-08 02:35:36vstinnersetpull_requests: + pull_request3445
2016-04-14 15:27:08python-devsetmessages: + msg263417
2016-03-08 21:28:07steve.dowersetstatus: open -> closed
resolution: fixed
stage: resolved
2016-03-08 20:46:31steve.dowersetmessages: + msg261379
2016-03-08 20:24:58zach.waresetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg261376

stage: resolved -> (no value)
2016-03-08 18:30:27steve.dowersetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2016-03-08 18:30:13python-devsetmessages: + msg261369
2016-03-08 18:29:55python-devsetmessages: + msg261368
2016-03-08 06:14:19ned.deilysetstage: needs patch
components: + Build
versions: - Python 3.2, Python 3.3, Python 3.4
2016-03-08 06:11:42python-devsetnosy: + python-dev
messages: + msg261327
2016-03-03 22:26:43steve.dowerlinkissue26268 superseder
2016-03-02 12:33:57christian.heimessetmessages: + msg261111
2016-03-02 12:16:38alexsetnosy: + janssen, pitrou, giampaolo.rodola, christian.heimes, dstufft
2016-03-01 17:22:32ned.deilysetnosy: + ned.deily
2016-03-01 14:26:13alexcreate